## unilog 1.3.2

=== CMakeLists.txt ===
# Copyright 2019 Xilinx Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)
project(unilog VERSION 1.3.2 LANGUAGES C CXX)

include(${CMAKE_SOURCE_DIR}/cmake/VitisCommon.cmake)

option(BUILD_TEST "build test" OFF)

find_package(glog QUIET)
if(NOT glog_FOUND)
    message(STATUS "cannot find glogConfig.cmake fallback to pkg-config")
    find_package(PkgConfig)
    pkg_search_module(PKG_GLOG REQUIRED IMPORTED_TARGET GLOBAL libglog)
    add_library(glog::glog ALIAS PkgConfig::PKG_GLOG)
endif(NOT glog_FOUND)

add_subdirectory(src)

file(RELATIVE_PATH REL_INCLUDE_DIR
  ${CMAKE_INSTALL_PREFIX}/share/cmake/${PROJECT_NAME}
  ${CMAKE_INSTALL_PREFIX}/include)
set(CONF_INCLUDE_DIRS "\${${PROJECT_NAME}_CMAKE_DIR}/${REL_INCLUDE_DIR}")
configure_file(cmake/config.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  @ONLY)

write_basic_package_version_file(
  "${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY AnyNewerVersion)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
  DESTINATION share/cmake/${PROJECT_NAME})

if(BUILD_TEST)
  add_subdirectory(test)
endif()

set(CPACK_PACKAGE_NAME "libunilog")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A wrapper for glog")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/Copyright.txt")
set(CPACK_PACKAGE_VENDOR "Humanity")
set(CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${CMAKE_PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${CMAKE_PROJECT_VERSION_PATCH})
set(CPACK_PACKAGE_CONTACT "Jian Weng<jianweng@xilinx.com>")
set(CPACK_PACKAGING_INSTALL_PREFIX "/usr")

set(CPACK_DEB_COMPONENT_INSTALL OFF)
set(CPACK_DEBIAN_PACKAGE_SECTION "devel")
set(CPACK_DEBIAN_ARCHIVE_TYPE "gnutar")
set(CPACK_DEBIAN_COMPRESSION_TYPE "gzip")
set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgoogle-glog-dev (>=0.3.0)")
set(CPACK_DEBIAN_FILE_NAME DEB-DEFAULT)
if(DEFINED ENV{BUILD_NUMBER})
  set(CPACK_DEBIAN_PACKAGE_RELEASE "r$ENV{BUILD_NUMBER}")
endif()
if(CMAKE_SYSTEM_PROCESSOR STREQUAL "aarch64")
  set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "arm64")
elseif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
  set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
else()
  set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
endif()

set(CPACK_RPM_COMPONENT_INSTALL OFF)
set(CPACK_RPM_PACKAGE_LICENSE "Apache")
set(CPACK_RPM_PACKAGE_GROUP "Development/Tools")
set(CPACK_RPM_COMPRESSION_TYPE "xz")
set(CPACK_RPM_PACKAGE_REQUIRES "glog >= 0.3.0")
set(CPACK_RPM_FILE_NAME RPM-DEFAULT)
if(DEFINED ENV{BUILD_NUMBER})
  set(CPACK_RPM_PACKAGE_RELEASE "r$ENV{BUILD_NUMBER}")
endif()
set(CPACK_RPM_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})

include(CPack)

=== debian/changelog ===
unilog (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control.
    - Get rid of lintian warning: description-synopsis-starts-with-article.
    - Add Punit Agrawal to Uploaders.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 29 Jun 2021 15:48:20 +0900

unilog (1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #986987)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Jan 2021 11:53:46 +0900

=== debian/control ===
Source: unilog
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: Punit Agrawal <punit@debian.org>
Priority: optional
Section: devel
Build-Depends: debhelper-compat (= 13), cmake,
	       libgoogle-glog-dev (>= 0.4.0-4),
	       libboost-filesystem-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/Xilinx/Vitis-AI
Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/unilog
Vcs-Git: https://salsa.debian.org/xilinx-packages-team/vitis-ai/unilog.git

Package: libunilog1
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: wrapper library for google-glog
 Define unified log formats for Xilinx vitis ai tools.
 .
 This package contains what you need to run programs that use this
 library.

Package: libunilog-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libgoogle-glog-dev (>= 0.4.0-4), libunilog1 (= ${binary:Version})
Description: wrapper library for google-glog (develop)
 Define unified log formats for Xilinx vitis ai tools.
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
BUILDDIR = obj-$(DEB_HOST_MULTIARCH)

CONFIGURE_ARGS = \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DLIB_INSTALL_DIR:STRING="lib/$(DEB_HOST_MULTIARCH)"

%:
	dh $@

override_dh_auto_build:
	# dynamically linked
	dh_auto_build -B $(BUILDDIR)
	# statically linked
	dh_auto_build -B $(BUILDDIR)-static

override_dh_auto_configure:
	# dynamically linked
	dh_auto_configure -B $(BUILDDIR) \
		-- $(CONFIGURE_ARGS) \
		-DBUILD_STATIC_LIBS=OFF \
		-DBUILD_TESTING=ON

	# statically linked
	dh_auto_configure -B $(BUILDDIR)-static \
		-- $(CONFIGURE_ARGS) \
		-DBUILD_STATIC_LIBS=ON \
		-DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install -O--buildsystem=cmake -B $(BUILDDIR)
	find $(CURDIR)/debian/tmp/ -type d -name .cmake | xargs -r rm -rfv

execute_before_dh_install:
	# put the static libs together with the rest of the stuff
	cp -v $(BUILDDIR)-static/src/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	-$(RM) -r $(BUILDDIR)-static

## unilog 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,22 @@
 # Copyright 2019 Xilinx Inc.
 #
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
+# use this file except in compliance with the License. You may obtain a copy of
+# the License at
 #
-#     http://www.apache.org/licenses/LICENSE-2.0
+# http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+# License for the specific language governing permissions and limitations under
+# the License.
 
 cmake_minimum_required(VERSION 3.5)
-project(unilog VERSION 1.3.2 LANGUAGES C CXX)
+project(unilog VERSION 1.4.1 LANGUAGES C CXX)
 
 include(${CMAKE_SOURCE_DIR}/cmake/VitisCommon.cmake)
+include(${CMAKE_SOURCE_DIR}/cmake/vai_add_pybind11_module.cmake)
 
 option(BUILD_TEST "build test" OFF)
 
@@ -30,21 +31,21 @@
 add_subdirectory(src)
 
 file(RELATIVE_PATH REL_INCLUDE_DIR
-  ${CMAKE_INSTALL_PREFIX}/share/cmake/${PROJECT_NAME}
-  ${CMAKE_INSTALL_PREFIX}/include)
+     ${CMAKE_INSTALL_PREFIX}/share/cmake/${PROJECT_NAME}
+     ${CMAKE_INSTALL_PREFIX}/include)
 set(CONF_INCLUDE_DIRS "\${${PROJECT_NAME}_CMAKE_DIR}/${REL_INCLUDE_DIR}")
 configure_file(cmake/config.cmake.in
-  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
-  @ONLY)
+               "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake" @ONLY)
 
 write_basic_package_version_file(
   "${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
   VERSION ${PROJECT_VERSION}
   COMPATIBILITY AnyNewerVersion)
 
-install(FILES
-  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
-  "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
+install(
+  FILES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
+        "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
+        "${CMAKE_CURRENT_LIST_DIR}/cmake/vai_add_pybind11_module.cmake"
   DESTINATION share/cmake/${PROJECT_NAME})
 
 if(BUILD_TEST)
@@ -91,5 +92,13 @@
   set(CPACK_RPM_PACKAGE_RELEASE "r$ENV{BUILD_NUMBER}")
 endif()
 set(CPACK_RPM_PACKAGE_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
+if(CMAKE_SYSTEM_PROCESSOR STREQUAL "cortexa72-cortexa53")
+    set(CPACK_RPM_PACKAGE_ARCHITECTURE "aarch64")
+endif()
 
 include(CPack)
+
+if(BUILD_PYTHON)
+  vai_add_pybind11_module(py_unilog MODULE_NAME unilog python/unilog_py.cpp)
+  target_link_libraries(py_unilog PRIVATE glog::glog)
+endif(BUILD_PYTHON)

=== debian/changelog ===
unilog (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/rules.
    - Add 'DEB_BUILD_MAINT_OPTIONS = hardening=+all'.
  * Update d/control.
    - Update Maintainer and Uploaders.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 22 Dec 2021 17:24:21 +0900

unilog (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Update d/patches/0002-Add-support-static-build.patch
  * Update d/patches/0003-Change-install-path-of-cmake-files.patch
  * Update d/control:
    - Bump Standards-Version to 4.5.1 (no change).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Aug 2021 14:20:56 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: unilog
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Uploaders: Punit Agrawal <punit@debian.org>
+Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Uploaders: Punit Agrawal <punit@debian.org>,
+           Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Priority: optional
 Section: devel
 Build-Depends: debhelper-compat (= 13), cmake,
 	       libgoogle-glog-dev (>= 0.4.0-4),
 	       libboost-filesystem-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/Vitis-AI
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/unilog

## unilog 2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,10 @@
 # the License.
 
 cmake_minimum_required(VERSION 3.5)
-project(unilog VERSION 1.4.1 LANGUAGES C CXX)
+project(unilog VERSION 2.5.0 LANGUAGES C CXX)
 
-include(${CMAKE_SOURCE_DIR}/cmake/VitisCommon.cmake)
-include(${CMAKE_SOURCE_DIR}/cmake/vai_add_pybind11_module.cmake)
+include(${PROJECT_SOURCE_DIR}/cmake/VitisCommon.cmake)
+include(${PROJECT_SOURCE_DIR}/cmake/vai_add_pybind11_module.cmake)
 
 option(BUILD_TEST "build test" OFF)
 
@@ -35,7 +35,7 @@
      ${CMAKE_INSTALL_PREFIX}/include)
 set(CONF_INCLUDE_DIRS "\${${PROJECT_NAME}_CMAKE_DIR}/${REL_INCLUDE_DIR}")
 configure_file(cmake/config.cmake.in
-               "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake" @ONLY)
+               "${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.cmake" @ONLY)
 
 write_basic_package_version_file(
   "${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
@@ -43,9 +43,9 @@
   COMPATIBILITY AnyNewerVersion)
 
 install(
-  FILES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
-        "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
-        "${CMAKE_CURRENT_LIST_DIR}/cmake/vai_add_pybind11_module.cmake"
+  FILES "${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.cmake"
+        "${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
+        "${PROJECT_SOURCE_DIR}/cmake/vai_add_pybind11_module.cmake"
   DESTINATION share/cmake/${PROJECT_NAME})
 
 if(BUILD_TEST)
@@ -54,9 +54,9 @@
 
 set(CPACK_PACKAGE_NAME "libunilog")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A wrapper for glog")
-set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
-set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.md")
-set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/Copyright.txt")
+set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/README.md")
+set(CPACK_RESOURCE_FILE_README "${PROJECT_SOURCE_DIR}/README.md")
+set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/Copyright.txt")
 set(CPACK_PACKAGE_VENDOR "Humanity")
 set(CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_PROJECT_VERSION_MAJOR})
 set(CPACK_PACKAGE_VERSION_MINOR ${CMAKE_PROJECT_VERSION_MINOR})

=== debian/changelog ===
unilog (2.5-2build5) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:09:17 +0200

unilog (2.5-2build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:58:53 +0200

unilog (2.5-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:35 +1100

unilog (2.5-2build2) noble; urgency=medium

  * No-change rebuild against libgoogle-glog0v6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 02:23:21 +0000

unilog (2.5-2build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:57:11 +0100

unilog (2.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 04 Aug 2022 10:46:32 +0900

unilog (2.5-1) experimental; urgency=medium

  * New upstream release.
  * Update d/control
    - Bumped Standards-Version to 4.6.1.
  * Add d/upstream/metadata.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Aug 2022 11:47:49 +0900

unilog (2.0-1) experimental; urgency=medium

  * New upstream release.
  * Update d/patches.
    - Refresh patches
  * Update soname to 2.
    -  Change package name to libunilog2.
  * Update d/control.
    - Bump Standards-Version to 4.6.0.1.
  * Update d/copyright.
    - Update copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Jun 2022 13:50:53 +0900

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: unilog
-Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
 Uploaders: Punit Agrawal <punit@debian.org>,
            Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Priority: optional
@@ -7,13 +8,13 @@
 Build-Depends: debhelper-compat (= 13), cmake,
 	       libgoogle-glog-dev (>= 0.4.0-4),
 	       libboost-filesystem-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/Vitis-AI
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/unilog
 Vcs-Git: https://salsa.debian.org/xilinx-packages-team/vitis-ai/unilog.git
 
-Package: libunilog1
+Package: libunilog2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -28,7 +29,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgoogle-glog-dev (>= 0.4.0-4), libunilog1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgoogle-glog-dev (>= 0.4.0-4), libunilog2 (= ${binary:Version})
 Description: wrapper library for google-glog (develop)
  Define unified log formats for Xilinx vitis ai tools.
  .

## unilog 3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,14 +13,20 @@
 # the License.
 
 cmake_minimum_required(VERSION 3.5)
-project(unilog VERSION 2.5.0 LANGUAGES C CXX)
+project(unilog VERSION 3.5.0 LANGUAGES C CXX)
 
 include(${PROJECT_SOURCE_DIR}/cmake/VitisCommon.cmake)
 include(${PROJECT_SOURCE_DIR}/cmake/vai_add_pybind11_module.cmake)
 
 option(BUILD_TEST "build test" OFF)
-
-find_package(glog QUIET)
+option(LIBGLOG_RESTRICT "find libglog restrict in install prefix" OFF)
+if (LIBGLOG_RESTRICT)
+  message(STATUS "Find glog in restrict mode")
+  find_package(glog PATHS ${CMAKE_INSTALL_PREFIX} NO_DEFAULT_PATH)
+else ()
+  message(STATUS "Find glog in public mode")
+  find_package(glog QUIET)
+endif (LIBGLOG_RESTRICT)
 if(NOT glog_FOUND)
     message(STATUS "cannot find glogConfig.cmake fallback to pkg-config")
     find_package(PkgConfig)
@@ -61,7 +67,7 @@
 set(CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_PROJECT_VERSION_MAJOR})
 set(CPACK_PACKAGE_VERSION_MINOR ${CMAKE_PROJECT_VERSION_MINOR})
 set(CPACK_PACKAGE_VERSION_PATCH ${CMAKE_PROJECT_VERSION_PATCH})
-set(CPACK_PACKAGE_CONTACT "Jian Weng<jianweng@xilinx.com>")
+set(CPACK_PACKAGE_CONTACT "devops@amd.com")
 set(CPACK_PACKAGING_INSTALL_PREFIX "/usr")
 
 set(CPACK_DEB_COMPONENT_INSTALL OFF)
@@ -99,6 +105,7 @@
 include(CPack)
 
 if(BUILD_PYTHON)
-  vai_add_pybind11_module(py_unilog MODULE_NAME unilog python/unilog_py.cpp)
+  vai_add_pybind11_module(py_unilog MODULE_NAME py_unilog python/unilog_py.cpp)
   target_link_libraries(py_unilog PRIVATE glog::glog)
+  target_compile_options(py_unilog PUBLIC $<$<CONFIG:DEBUG>:-U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0>)
 endif(BUILD_PYTHON)

=== src/CMakeLists.txt ===
# Copyright 2019 Xilinx Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

aux_source_directory(. LOG_SRC_LIST)

add_library(${PROJECT_NAME}
  ${PROJECT_SOURCE_DIR}/include/UniLog/UniLog.hpp
  ${PROJECT_SOURCE_DIR}/include/UniLog/UniLogExport.hpp
  ${PROJECT_SOURCE_DIR}/include/UniLog/ErrorCode.hpp
  ${PROJECT_SOURCE_DIR}/include/UniLog/vitis_ai_pp.hpp
  ${LOG_SRC_LIST})
set_target_properties(${PROJECT_NAME} PROPERTIES
  VERSION "${PROJECT_VERSION}"
  SOVERSION "${PROJECT_VERSION_MAJOR}")
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
find_package(Boost COMPONENTS system filesystem REQUIRED)
# for MSVC we must add it into LIBPATH even the lib file is full path.
target_link_directories(${PROJECT_NAME} PRIVATE "${Boost_LIBRARY_DIRS}")
target_link_libraries(${PROJECT_NAME}
  PRIVATE Boost::system Boost::filesystem
  PUBLIC glog::glog)
  # Enable Export of public APIs
target_compile_definitions(${PROJECT_NAME} PRIVATE -DUNILOG_EXPORT)
if(CMAKE_BUILD_TYPE MATCHES "Release")
  target_compile_definitions(${PROJECT_NAME} PUBLIC -DUNI_LOG_NDEBUG)
endif()
if(BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PUBLIC -DUNILOG_USE_DLL=1)
else(BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PUBLIC -DUNILOG_USE_DLL=0)
endif(BUILD_SHARED_LIBS)
if(NOT MSVC)
  target_compile_options(${PROJECT_NAME} PUBLIC $<$<CONFIG:DEBUG>:-U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0>)
endif(NOT MSVC)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}-targets
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib)
install(FILES
  ${PROJECT_SOURCE_DIR}/include/UniLog/UniLog.hpp
  ${PROJECT_SOURCE_DIR}/include/UniLog/UniLogExport.hpp
  ${PROJECT_SOURCE_DIR}/include/UniLog/ErrorCode.hpp
  ${PROJECT_SOURCE_DIR}/include/UniLog/vitis_ai_pp.hpp
  DESTINATION include/UniLog)
install(
  EXPORT ${PROJECT_NAME}-targets
  NAMESPACE ${PROJECT_NAME}::
  DESTINATION share/cmake/${PROJECT_NAME})

=== test/CMakeLists.txt ===
# Copyright 2019 Xilinx Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include_directories(${PROJECT_SOURCE_DIR}/include)

aux_source_directory(. TAR_FILE_LIST)
foreach(TAR_FILE ${TAR_FILE_LIST})
  get_filename_component(TAR_NAME ${TAR_FILE} NAME_WE)
  set(TAR_NAME ${TAR_NAME}.bin)

  add_executable(${TAR_NAME} ${TAR_FILE})
  target_link_Libraries(${TAR_NAME} ${PROJECT_NAME} unilog)
endforeach(TAR_FILE)

=== debian/changelog ===
unilog (3.5-2) experimental; urgency=medium

  * d/control:
    - Add libboost-filesystem-dev to Depends of libunilog-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 23 Feb 2025 08:51:52 +0900

unilog (3.5-1) experimental; urgency=medium

  * New upstream release.
  * d/patches: Update 0002-Add-support-static-build.patch.
  * d/control:
    - Bump Standards-Version to 4.7.0.
  * d/copyright:
    - Update copyright year.
  * Update soname from 2 to 3.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 16 Feb 2025 00:26:33 +0900

=== debian/control ===
Source: unilog
Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
Uploaders: Punit Agrawal <punit@debian.org>,
           Nobuhiro Iwamatsu <iwamatsu@debian.org>
Priority: optional
Section: devel
Build-Depends: debhelper-compat (= 13), cmake,
	       libgoogle-glog-dev (>= 0.4.0-4),
	       libboost-filesystem-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/Xilinx/Vitis-AI
Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/unilog
Vcs-Git: https://salsa.debian.org/xilinx-packages-team/vitis-ai/unilog.git

Package: libunilog3
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: wrapper library for google-glog
 Define unified log formats for Xilinx vitis ai tools.
 .
 This package contains what you need to run programs that use this
 library.

Package: libunilog-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
	 libgoogle-glog-dev (>= 0.4.0-4),
	 libunilog3 (= ${binary:Version}),
	 libboost-filesystem-dev
Description: wrapper library for google-glog (develop)
 Define unified log formats for Xilinx vitis ai tools.
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 BUILDDIR = obj-$(DEB_HOST_MULTIARCH)
 
@@ -7,6 +8,8 @@
 	-DCMAKE_BUILD_TYPE=Release \
 	-DCMAKE_INSTALL_PREFIX=/usr \
 	-DLIB_INSTALL_DIR:STRING="lib/$(DEB_HOST_MULTIARCH)"
+
+LICENSE_TMPFILE := $(shell mktemp "/tmp/license-check.tmp.XXXXXX")
 
 %:
 	dh $@
@@ -38,3 +41,7 @@
 	# put the static libs together with the rest of the stuff
 	cp -v $(BUILDDIR)-static/src/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 	-$(RM) -r $(BUILDDIR)-static
+
+check_license_update:
+	@decopy --no-progress -X debian --output $(LICENSE_TMPFILE)
+	@diff -urN $(CURDIR)/debian/copyright.tmpl $(LICENSE_TMPFILE)
